import React from 'react';
/**
 *
 * @param hook The React hook to be added to your component.
 * @param extractArgs An optional function to extract the hook arguments from the component's props.
 */
declare const hooked: <Props extends Object, HookRet, HookArgs = Props>(
  hook: (args: HookArgs) => HookRet,
  extractArgs?: (props: Props) => HookArgs,
) => (
  WrappedComponent: React.ComponentType<Props & HookRet>,
) => (props: Props) => JSX.Element;
export default hooked;
